## python-oslo.messaging 12.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0

# imported when the source code is parsed for generating documentation:
fixtures>=3.0.0 # Apache-2.0/BSD
confluent-kafka>=0.11.6 # Apache-2.0
pyngus>=2.2.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (12.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:55 -0400

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 bandit,
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka (>= 0.11.6),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.10),
 python3-kombu (>= 4.6.6),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.6),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-confluent-kafka,
 python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 'oslo_messaging\.tests\.(?!(.*drivers\.zmq.*|.*drivers\.test_impl_kafka.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc
endif

## python-oslo.messaging 12.1.6

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

futurist>=1.2.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
monotonic>=0.6;python_version<'3.3' # Apache-2.0

# for jsonutils
six>=1.10.0 # MIT
cachetools>=2.0.0 # MIT License

WebOb>=1.7.1 # MIT

# for the routing notifier
PyYAML>=3.12 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp>=2.5.2 # BSD
kombu>=4.6.6 # BSD

# middleware
oslo.middleware>=3.31.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (12.1.6-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1940858).
  * d/p/no-functional-test.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Aug 2021 15:09:37 -0400

=== debian/control ===
--- 
+++ 
@@ -47,8 +47,8 @@
  python3-yaml (>= 3.12),
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.messaging
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
 Homepage: https://github.com/openstack/oslo.messaging
 
 Package: python3-oslo.messaging

## python-oslo.messaging 12.5.0

=== debian/changelog ===
python-oslo.messaging (12.5.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 08:02:43 +0000

python-oslo.messaging (12.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:57:21 -0400

python-oslo.messaging (12.3.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-functional-test.patch: Refreshed.

  [ Corey Bryant ]
  * d/control: Restore min versions of python3-eventlet and python3-tenacity.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Sep 2020 08:59:27 -0400

python-oslo.messaging (12.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.
  * d/p/resolve-issues-with-kombu-greater-than-4.6.8.patch: Dropped.
    Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 19:27:34 -0400

python-oslo.messaging (12.2.0-0ubuntu2) groovy; urgency=medium

  * d/p/resolve-issues-with-kombu-greater-than-4.6.8.patch: Cherry-picked
    from upstream master to fix test failures that we're seeing with
    d/t/python-ostestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 10:17:57 -0400

python-oslo.messaging (12.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:22 -0400

## python-oslo.messaging 12.5.2

=== requirements.txt ===
--- 
+++ 
@@ -12,16 +12,14 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-monotonic>=0.6;python_version<'3.3' # Apache-2.0
 
 # for jsonutils
-six>=1.10.0 # MIT
 cachetools>=2.0.0 # MIT License
 
 WebOb>=1.7.1 # MIT
 
 # for the routing notifier
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works

=== debian/changelog ===
python-oslo.messaging (12.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Mar 2021 13:18:24 +0200

python-oslo.messaging (12.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 20 Dec 2020 10:30:34 +0100

python-oslo.messaging (12.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.
  * Add python3.9-fix-isAlive-is_alive.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 09:29:22 +0200

python-oslo.messaging (12.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Set python3-confluent-kafka min version to 1.3.0.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:27:42 +0200

python-oslo.messaging (12.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased no-functional-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:07:06 +0200

python-oslo.messaging (12.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 10:37:20 +0200

python-oslo.messaging (12.1.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix testing with newer Kombu >= 4.6.8 (Closes: #966955).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Aug 2020 11:54:14 +0200

python-oslo.messaging (12.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:25:45 +0200

python-oslo.messaging (12.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:10:41 +0200

python-oslo.messaging (12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed add-support-for-kafka-ssl-autentication.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:25:54 +0200

python-oslo.messaging (10.2.0-3) unstable; urgency=medium

  [ Ondrej Burian ]
  * Add add-support-for-kafka-ssl-autentication.patch.

  [ Michal Arbet ]
  * Uploading with patch for kafka.
    Thanks to Ondrej Burian

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 04 Mar 2020 11:18:37 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-amqp (>= 2.4.2),
 python3-cachetools,
 python3-confluent-kafka (>= 1.3.0),
 python3-coverage,
 python3-debtcollector,
 python3-eventlet (>= 0.25.1),
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu (>= 4.6.4),
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyngus,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.4.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka (>= 1.3.0),
 python3-debtcollector,
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 12.7.1

=== debian/changelog ===
python-oslo.messaging (12.7.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:36:27 -0400

python-oslo.messaging (12.6.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:18:45 +0000

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-kombu (>= 4.6.6),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://opendev.org/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.6),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-confluent-kafka,
 python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 12.7.3

=== debian/changelog ===
python-oslo.messaging (12.7.3-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Implement_get_rpc_client_function.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Fri, 02 Jan 2026 14:41:31 +0000

python-oslo.messaging (12.7.3-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2022 13:24:59 +0200

python-oslo.messaging (12.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:09:24 +0200

python-oslo.messaging (12.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove --with systemd.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 09:21:29 +0100

python-oslo.messaging (12.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions when satisfied in Bullseye.
  * Removed python3.9-fix-isAlive-is_alive.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:10:56 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyngus,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-debtcollector,
 python3-futurist,
 python3-kombu,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 12.9.1

=== debian/changelog ===
python-oslo.messaging (12.9.1-0ubuntu4) impish; urgency=medium

  * d/control, d/py3dist-overrides: Add oslo.metrics to Depends as it is a
    hard dependency.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Sep 2021 13:34:44 -0400

python-oslo.messaging (12.9.1-0ubuntu3) impish; urgency=medium

  * d/py3dist-overrides: Add oslo.metrics until it is in Ubuntu main.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Sep 2021 09:02:58 -0400

python-oslo.messaging (12.9.1-0ubuntu2) impish; urgency=medium

  * d/control: Drop min version of python3-confluent-kafka to 1.1.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Sep 2021 18:00:25 -0400

python-oslo.messaging (12.9.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align Build-Depends and Suggests with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:13:42 -0400

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-kombu (>= 4.6.6),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.metrics (>= 0.2.1),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://opendev.org/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.6),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.metrics (>= 0.2.1),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-confluent-kafka,
 python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 12.9.4

=== debian/changelog ===
python-oslo.messaging (12.9.4-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Implement_get_rpc_client_function.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 02 Jan 2026 14:32:40 +0000

python-oslo.messaging (12.9.4-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2022 15:51:22 +0200

python-oslo.messaging (12.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:42:44 +0200

python-oslo.messaging (12.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-oslo.messaging as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Aug 2021 15:40:39 +0200

python-oslo.messaging (12.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 13:48:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-oslo.messaging 12.13.0

=== requirements.txt ===
--- 
+++ 
@@ -28,3 +28,6 @@
 
 # middleware
 oslo.middleware>=3.31.0 # Apache-2.0
+
+# metrics
+oslo.metrics>=0.2.1 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-openstackdocstheme>=1.20.0 # Apache-2.0
-sphinx>=1.8.0,!=2.1.0 # BSD
-reno>=2.5.0 # Apache-2.0
+openstackdocstheme>=2.2.0 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
+reno>=3.1.0 # Apache-2.0
 
 # imported when the source code is parsed for generating documentation:
 fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.messaging (12.13.0-0ubuntu1.2) jammy; urgency=medium

  * Change default value of "heartbeat_in_pthread" to False, resolving issues
    with heartbeat messaging when not run as a WSGI service (LP: #1934937):
    - d/p/Change-default-value-of-heartbeat_in_pthread-to-Fals.patch.

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 18 Jun 2024 12:32:16 +0100

python-oslo.messaging (12.13.0-0ubuntu1.1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * d/p/revert-limit-maximum-timeout-in-the-poll-loop.patch: This reverts
    an upstream patch that is preventing active/active rabbitmq from
    failing over when a node goes down (LP: #1993149).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2022 15:48:16 -0400

python-oslo.messaging (12.13.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:18:30 -0500

python-oslo.messaging (12.11.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:43:12 -0500

python-oslo.messaging (12.11.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:44:31 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/oslo.messaging.git
+export PYBUILD_NAME=oslo_messaging
+
+UPSTREAM_GIT := https://opendev.org/openstack/oslo.messaging.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.messaging/ oslo.messaging-(\d.*)\.tar\.gz

## python-oslo.messaging 12.13.3

=== debian/changelog ===
python-oslo.messaging (12.13.3-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Implement_get_rpc_client_function.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 02 Jan 2026 14:33:29 +0000

python-oslo.messaging (12.13.3-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2025 12:34:51 +0200

python-oslo.messaging (12.13.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.
  * Blacklist RpcKombuHATestCase:
    - test_ensure_four_retry
    - test_ensure_no_retry
    - test_ensure_one_retry

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 16:06:11 +0100

python-oslo.messaging (12.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 17:50:10 +0100

python-oslo.messaging (12.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:47:08 +0100

## python-oslo.messaging 14.0.0

=== debian/changelog ===
python-oslo.messaging (14.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:49:53 +0200

python-oslo.messaging (14.0.0-1) experimental; urgency=medium

  * new upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:23:14 +0200

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.metrics,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyngus,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-debtcollector,
 python3-futurist,
 python3-kombu,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.metrics,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_messaging\.tests\.(?!(.*drivers\.zmq.*|.*drivers\.test_impl_kafka.*)|drivers\.test_impl_rabbit\.RpcKombuHATestCase\.(test_ensure_four_retry|test_ensure_no_retry|test_ensure_one_retry))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/%7E/~/" \
https://github.com/openstack/oslo.messaging/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.messaging 14.0.3

=== debian/changelog ===
python-oslo.messaging (14.0.3-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Implement_get_rpc_client_function.patch
    - Support_overriding_class_for_get_rpc_helper_functions.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Tue, 03 Jun 2025 09:21:49 +0000

python-oslo.messaging (14.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Mar 2024 11:42:43 +0100

## python-oslo.messaging 14.2.0

=== debian/changelog ===
python-oslo.messaging (14.2.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 21 Feb 2023 20:15:14 +0000

python-oslo.messaging (14.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 21 Feb 2023 13:56:37 -0500

python-oslo.messaging (14.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:30:37 -0500

python-oslo.messaging (14.0.0-0ubuntu1.1) kinetic; urgency=medium

  * d/p/revert-limit-maximum-timeout-in-the-poll-loop.patch: This reverts
    an upstream patch that is preventing active/active rabbitmq from
    failing over when a node goes down (LP: #1993149).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Oct 2022 16:45:11 -0400

python-oslo.messaging (14.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:19:59 -0400

python-oslo.messaging (13.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:13:10 -0400

python-oslo.messaging (12.14.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:15:45 -0400

python-oslo.messaging (12.14.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:10:27 -0400

## python-oslo.messaging 14.2.5

=== debian/changelog ===
python-oslo.messaging (14.2.5-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 07 Nov 2024 15:49:03 +0000

python-oslo.messaging (14.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048050) and install doc correctly.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:48:46 +0200

python-oslo.messaging (14.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:31:21 +0200

python-oslo.messaging (14.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:48:36 +0100

## python-oslo.messaging 14.3.1

=== debian/changelog ===
python-oslo.messaging (14.3.1-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:04:40 -0400

## python-oslo.messaging 14.4.1

=== debian/changelog ===
python-oslo.messaging (14.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 09:15:46 +0200

python-oslo.messaging (14.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:32:47 +0200

python-oslo.messaging (14.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:57:59 +0200

python-oslo.messaging (14.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:54:31 +0200

## python-oslo.messaging 14.6.0

=== debian/changelog ===
python-oslo.messaging (14.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 09:46:23 +0000

python-oslo.messaging (14.4.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:47:46 -0400

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-kombu (>= 4.6.6),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.metrics (>= 0.2.1),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://opendev.org/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.6),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.metrics (>= 0.2.1),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-confluent-kafka,
 python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 14.7.3

=== requirements.txt ===
--- 
+++ 
@@ -1,11 +1,8 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 futurist>=1.2.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
+oslo.context>=5.3.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.37.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (14.7.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:32:15 +0000

python-oslo.messaging (14.7.0-3) unstable; urgency=medium

  * Make oslo.messaging, zaqar and magnum reproducible by adding this simple
    patch: reproducible.patch (Closes: #1068377).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2024 12:00:31 +0200

python-oslo.messaging (14.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:36:04 +0200

python-oslo.messaging (14.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-oslo.context as (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:59:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -27,6 +29,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python3-oslo.messaging/usr/share/doc/python3-oslo.messaging/html
 	dh_sphinxdoc
 endif

## python-oslo.messaging 14.9.0

=== debian/changelog ===
python-oslo.messaging (14.9.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Tue, 24 Sep 2024 14:44:59 +0000

python-oslo.messaging (14.9.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:11:08 +0100

python-oslo.messaging (14.8.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Drop surplus test requirements.
  * d/{control,tests}/*: Test with all supported Pythons.
  * d/control: Add missing ${sphinxdoc:Depends}.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:46:14 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,9 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- bandit,
  python3-amqp (>= 2.5.2),
  python3-cachetools (>= 2.0.0),
  python3-confluent-kafka (>= 1.3.0),
- python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-eventlet (>= 0.25.1),
  python3-fixtures (>= 3.0.0),
@@ -76,6 +74,7 @@
  python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
+ ${sphinxdoc:Depends},
 Suggests:
  python3-confluent-kafka,
  python3-zmq,

## python-oslo.messaging 14.9.1

=== requirements.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
 
 futurist>=1.2.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=5.3.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.37.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.serialization>=2.18.0 # Apache-2.0
+oslo.service>=1.24.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0

# imported when the source code is parsed for generating documentation:
fixtures>=3.0.0 # Apache-2.0/BSD
confluent-kafka>=0.11.6 # Apache-2.0
pyngus>=2.2.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (14.9.1-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090571).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:43:32 +0100

python-oslo.messaging (14.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 13:28:55 +0100

python-oslo.messaging (14.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:54:17 +0200

python-oslo.messaging (14.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 08:59:19 +0200

python-oslo.messaging (14.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed reproducible.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 16:51:21 +0200

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.metrics,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyngus,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-debtcollector,
 python3-futurist,
 python3-kombu,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.metrics,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 14.9.2

=== debian/changelog ===
python-oslo.messaging (14.9.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 26 Sep 2025 07:43:27 +0000

## python-oslo.messaging 16.0.0

=== debian/changelog ===
python-oslo.messaging (16.0.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/*: Drop, no longer needed.
  * d/control: Drop dependencies that are no longer required.
  * d/p/safeload-rmq-functional.patch: Deal with missing pifpaf module
    during unittest loading.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 13:57:25 +0000
